Skip to main content
POST
Create TOS acceptance link

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Path Parameters

id
string<uuid>
required

Customer's unique identifier.

Body

application/json
redirectUrl
string<uri>

URL to send the customer to after they accept the terms of service.

Example:

"https://yourapp.com/onboarding/next-step"

Response

Terms of service link successfully generated.

url
string<uri>

Acceptance link for the customer to open.

Example:

"https://dashboard.lumx.io/tos/sandbox/eyJhbGciOi..."

expiresAt
string<date-time>

Link's expiration date and time (UTC). The link expires 7 days after it is generated.

Example:

"2026-11-10T17:39:26.227Z"